> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/ipt/ip-transit/modifyiptransitsattribute.md).

# ModifyIPTransitsAttribute

## 1. 接口描述

本接口(ModifyIPTransitsAttribute)用于修改IP Transit属性。

{% hint style="info" %}
**注意事项**

* 如果指定的ID中有不存在的IP Transit, 本次操作会立即失败。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称           | 必选 | 类型              | 描述                                         |
| -------------- | -- | --------------- | ------------------------------------------ |
| iptIds         | 是  | Array of String | <p>IP Transit ID 列表。</p><p>最多支持 100 个。</p> |
| iptName        | 否  | String          | IP Transit名称。                              |
| iptDescription | 否  | String          | IP Transit描述。                              |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改IP Transit的名称**

```json
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyIPTransitsAttribute
<Common Request Params>

Request：
{
    "iptIds": ["your-ipt-id"],
    "iptName": "IPT-Singapore"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
